Bug 1188078

Summary: icecat desktop file missing %u
Product: [Fedora] Fedora Reporter: cpawling
Component: icecatAssignee: Antonio T. (sagitter) <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 21CC: anto.trande, cpawling
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: icecat-31.4.0-4.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-23 07:59:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description cpawling 2015-02-02 01:31:03 UTC
Description of problem:

In Fedora 21, with Icecat set as the default application for Web, clicking on a web link in another application (e.g., email client) opens a new Icecat window and loads the default home page.  This behavior defeats the purpose of setting a default web browser.

Version-Release number of selected component (if applicable):
icecat-31.4.0-2.fc21.x86_64 and icecat-31.2.0-5.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1.  Set Icecat as default web application in Gnome
2.  Click on a web link in another application, e.g., email client, that uses Gnome's default applications to load links.

Actual results:
Icecat opens default homepage in a new window instead of loading the selected link.


Expected results:
Icecat should open a new tab to the clicked link.

Additional info:
I traced the problem to the .desktop file, i.e.,
/usr/share/applications/icecat-31.4.0.desktop
Line 45 of the .desktop file reads "Exec=icecat".  Adding %u to the line creates the expected behavior, i.e., "Exec=icecat %u".

Comment 1 Antonio T. (sagitter) 2015-02-02 15:34:39 UTC
Please, try with this release: https://koji.fedoraproject.org/koji/taskinfo?taskID=8792900

Comment 2 cpawling 2015-02-05 10:59:38 UTC
(In reply to Antonio Trande from comment #1)
> Please, try with this release:
> https://koji.fedoraproject.org/koji/taskinfo?taskID=8792900

Works great!  Thanks.

Comment 3 Fedora Update System 2015-02-09 17:30:46 UTC
icecat-31.4.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/icecat-31.4.0-4.fc21

Comment 4 Fedora Update System 2015-02-09 17:30:56 UTC
icecat-31.4.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/icecat-31.4.0-4.fc20

Comment 5 Fedora Update System 2015-02-15 02:53:50 UTC
Package icecat-31.4.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icecat-31.4.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1920/icecat-31.4.0-4.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-02-23 07:59:58 UTC
icecat-31.4.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-23 08:05:45 UTC
icecat-31.4.0-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.